angular.module('starter.controllers', ['chieffancypants.loadingBar', 'ngCordova.plugins.socialSharing'])

// Nav
.controller('NavCtrl', function($scope, $ionicSideMenuDelegate) {
  $scope.showMenu = function () {
    $ionicSideMenuDelegate.toggleLeft();
  };
})

.controller('HomeTabCtrl', function($scope) {
})

// Share
.controller("shareCtrl", function($scope, $cordovaSocialSharing){

  $scope.shareAnywhere = function(){
    $cordovaSocialSharing
      .share('Get news and videos about Motoring. Install the app Motor Racing News', 'Motor Racing News', 'http://www.dlemobile.com.br/motorRacingNews/motorShare.png', 'http://dlemobile.com.br/wordpress/motor-racing-news') // Share via native share sheet
      .then(function(result) {
        $scope.showMessage = true
      }, function(err) {
        // An error occured. Show a message to the user
      });
  };
})

// Noticias
.controller('NoticiasCtrl', function($scope, $http) {

  $http.get('http://www.dlemobile.com.br/horoscopoWeb/FnewsServlet')
  .success(function(response) {$scope.noticias = response.lista})

  $scope.noticia = function(index){
    window.localStorage.setItem("noticia", JSON.stringify($scope.noticias[index]));
  }

  //Refresh
  $scope.doRefresh = function() {
    $http.get('http://www.dlemobile.com.br/horoscopoWeb/FnewsServlet')
     .success(function(response) {$scope.noticias = response.lista})
     .finally(function() {$scope.$broadcast('scroll.refreshComplete');});
  };
})

.controller('NoticiaViewCtrl', function($scope){
  $scope.noticiaView = JSON.parse(window.localStorage.getItem("noticia"));
})

// Video
.controller('videoCtrl', function($scope, $http, $ionicModal){
  $scope.videosSelect = null;
  $scope.videos = [];
    $ionicModal.fromTemplateUrl('videosModal.html', {
      scope: $scope,
      animation: 'slide-in-up'
    }).then(function(modal) {
      $scope.modal = modal;
    });

    $scope.openModal = function(video) {
      $scope.videosSelect = video;
      $scope.modal.show();
      window.plugins.AdMob.destroyBannerView();
    };

    $scope.closeModal = function(videos) {
      $scope.modal.hide();
      window.plugins.AdMob.createBannerView();
      window.plugins.AdMob.createInterstitialView();
    };

    //Cleanup the modal when we're done with it!
    $scope.$on('$destroy', function() {
      $scope.modal.remove();
    })

    $scope.youtubeParams = {
      key: 'AIzaSyCconV3crAnYNTwLgUUqd-93PEbi2y4bFI',
      type: 'video',
      maxResults: '50',
      part: 'snippet',
      q: 'Formula Race',
      order: 'date',
    }

    $scope.playerVars = {
      rel: 0,
      showinfo: 0,
      modestbranding: 0,
    }

    $http.get('https://www.googleapis.com/youtube/v3/search', {params:$scope.youtubeParams}).success(function(response){
      angular.forEach(response.items, function(index){
        $scope.videos.push(index);
      });
    });

    //Refresh
    $scope.doRefresh = function() {
      $http.get('https://www.googleapis.com/youtube/v3/search', {params:$scope.youtubeParams})
      .success(function(response){
        angular.forEach(response.items, function(index){
          $scope.videos.push(index);
        })
      })
       .finally(function() {
         // Stop the ion-refresher from spinning
         $scope.$broadcast('scroll.refreshComplete');
       });
    };
})

// DLE
.controller('OutrosAppCtrl', function($scope, $http, $window) {

  $http.get('http://www.dlemobile.com.br/gardenmcWeb/AplicativosServlet?acao=L&id=7&idPlataforma=1')
  .success(function(response) {$scope.outrosApps = response.lista})

  $scope.linkExt = function(link) {
    window.open( link, '_self');
  };

})

.controller('AppCtrl', function($scope, $window) {

  $scope.linkExt = function(link) {
    window.open( link, '_self');
  };

  $scope.linkGPlay = function(link) {
    window.open( link, '_system');
  };

})
